﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication21._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">


    <script type="text/x-jsrender" id="buttonTemplate">
        <button class="Details" name="Details" title="Vis faktura">Details</button>
    </script>
    <ej:Grid ID="FlatGrid" runat="server" AllowPaging="true" OnServerRecordClick="onClick" AllowSorting="true">
        <Columns>
            <ej:Column Field="OrderID" IsPrimaryKey="true" />
            <ej:Column Field="CustomerID" />
            <ej:Column Field="EmployeeID" />
            <ej:Column Field="ShipCity" />
            <ej:Column Field="ShipCountry" />
            <ej:Column HeaderText="Employee Details" Template="#buttonTemplate" TextAlign="Center" Width="150" />
        </Columns>
        <ClientSideEvents RecordClick="RecordClick"/>
    </ej:Grid>

    <script type="text/javascript">

        $(function () {
            $("#MainContent_FlatGrid").on("click", ".Details", function (e) {
                triggerEvent(e);
            });
        });
        function triggerEvent(e) {
            var obj = $("#MainContent_FlatGrid").data("ejGrid");
            var args = {
                currentTarget: e.currentTarget.name,
                selectedRecord: obj.getSelectedRecords(),
                selectedIndex: obj.model.selectedRowIndex
            };
            obj._trigger("recordClick", args);
        }

        function RecordClick(e) {
            if (e.currentTarget != "Details")
                return false
            else {
                triggerEvent(e);
            }
        }
    </script>
</asp:Content>
