﻿namespace WebApplication21
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using SyncfusionMvcApplication3.Models;
    using System.Data.SqlClient;
    using System.Data;

    using WebApplication21.Models;


    public static class OrderRepository
    {
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (IList<EditableOrder>)HttpContext.Current.Session["Orders"];

            if (orders == null)
                            HttpContext.Current.Session["Orders"] = orders = (from ord in new NorthWndDataContext().Orders
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,
                                                                      OrderDate = ord.OrderDate,
                                                                      CustomerID = ord.CustomerID,
                                                                     Freight = ord.Freight,
                                                                     ShipCountry = ord.ShipCountry,
                                                                      ShipCity = ord.ShipCity,
                                                                     EmployeeID = ord.EmployeeID
                                                                  }).ToList();

            return orders;
        }

        
    }
}
